So, I guess this is not limited to just when you upgrade from 1806 to 1810, however that was the case when I upgraded a customer the other day. I got the following error when doing the prerequisite check i SCCM prior to an upgrade to 1810 from 1806.

 


My initial thought was that this was a bit generic without giving proper guidance to fix the issue

 

  • SQL Server Configuration for site upgrade Failed
    • Checks if the specified SQL Server meets the minimum requirments for site upgrade

 

Digging in the log files (CMUpdate.log) I found out that the Prerequisite checker where kicking on something with the SQL Service Broker on the DB. Having a closer look it turned out to be disabled. I ran the following SQL query to confirm it.

SELECT is_broker_enabled FROM sys.databases WHERE name = ‘CM_PS1’;

Then to enabled it I ran the following SQL Quary


ALTER DATABASE CM_NIN SET ENABLE_BROKER WITH ROLLBACK IMMEDIATE;

As a last step, ran the first SQL query again, confirming that Service Broker was enabled.
SELECT is_broker_enabled FROM sys.databases WHERE name = ‘CM_PS1’;

And viola. When I ran the prerequisite check again no errors to be displayed and we where able to initiate the upgrade wich ran successfully. Hopefully this post can help out if anyone else sees a similar issue. We are not sure why the service broker was disabled in the first place, so that remains a mystery.

Leave questions in the comment area if you have any. Stay tuned. ūüôā

One final tip, always refference docs.microsoft.com prior to an upgrade. Stuff is subject to change from upgrade to upgrade and it is always a good idea to have a quick look at the following.